Name:           perl-Digest-MD4
Version:        1.5
Release:        3%{?dist}
Summary:        Perl interface to the MD4 Algorithm

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Digest-MD4/
Source0:        http://www.cpan.org/authors/id/M/MI/MIKEM/DigestMD4/Digest-MD4-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Digest::MD4 module allows you to use the RSA Data Security
Inc. MD4 Message Digest algorithm from within Perl programs.  The
algorithm takes as input a message of arbitrary length and produces as
output a 128-bit "fingerprint" or "message digest" of the input.


%prep
%setup -q -n Digest-MD4-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README rfc1320.txt
%{perl_vendorarch}/Digest/
%{perl_vendorarch}/auto/Digest/
%{_mandir}/man3/*.3pm*


%changelog
* Thu Sep  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.5-3
- Rebuild for FC6.

* Fri Feb 17 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.5-2
- Rebuild for FC5 (perl 5.8.8).

* Sat Sep 10 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.5-1
- First build.
